# Class TopcatLoadClient

java.lang.Object
uk.ac.starlink.topcat.TopcatLoadClient

All Implemented Interfaces:
  `uk.ac.starlink.table.gui.TableLoadClient`

public class TopcatLoadClient extends Object implements uk.ac.starlink.table.gui.TableLoadClient
Load client implementation which loads tables into TOPCAT.

Since:
  17 Sep 2010
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`TopcatLoadClient(Component parent, ControlWindow controlWin)`
Constructs a load client with popup windows for warnings and errors.
`TopcatLoadClient(Component parent, ControlWindow controlWin, boolean popups)`
Constructs a load client optionally with popup windows for warnings and errors.

## Method Summary

Modifier and Type
Method
Description
`protected TopcatModel`
`addTable(uk.ac.starlink.table.StarTable table)`
Takes a table and inserts it into the TOPCAT application, performing some housekeeping tasks at the same time.
`void`
`endSequence(boolean cancelled)`
`int`
`getLoadCount()`
Returns the number of tables successfully loaded by this client.
`uk.ac.starlink.table.StarTableFactory`
`getTableFactory()`
`boolean`
`loadFailure(Throwable error)`
`boolean`
`loadSuccess(uk.ac.starlink.table.StarTable table)`
`void`
`setLabel(String label)`
`void`
`startSequence()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TopcatLoadClient

public TopcatLoadClient(Component parent, ControlWindow controlWin)
Constructs a load client with popup windows for warnings and errors.

Parameters:
  `parent` - parent component
  `controlWin` - control window

### TopcatLoadClient

public TopcatLoadClient(Component parent, ControlWindow controlWin, boolean popups)
Constructs a load client optionally with popup windows for warnings and errors.

Parameters:
  `parent` - parent component
  `controlWin` - control window
  `popups` - true iff popup windows should be used to inform the user of possible problems

## Method Details

### getTableFactory

public uk.ac.starlink.table.StarTableFactory getTableFactory()

Specified by:
  `getTableFactory` in interface `uk.ac.starlink.table.gui.TableLoadClient`

### startSequence

public void startSequence()

Specified by:
  `startSequence` in interface `uk.ac.starlink.table.gui.TableLoadClient`

### setLabel

public void setLabel(String label)

Specified by:
  `setLabel` in interface `uk.ac.starlink.table.gui.TableLoadClient`

### loadSuccess

public boolean loadSuccess(uk.ac.starlink.table.StarTable table)

Specified by:
  `loadSuccess` in interface `uk.ac.starlink.table.gui.TableLoadClient`

### addTable

protected TopcatModel addTable(uk.ac.starlink.table.StarTable table)
Takes a table and inserts it into the TOPCAT application, performing some housekeeping tasks at the same time.

Parameters:
  `table` - table to insert
Returns:
  topcat model which holds the table

### loadFailure

public boolean loadFailure(Throwable error)

Specified by:
  `loadFailure` in interface `uk.ac.starlink.table.gui.TableLoadClient`

### endSequence

public void endSequence(boolean cancelled)

Specified by:
  `endSequence` in interface `uk.ac.starlink.table.gui.TableLoadClient`

### getLoadCount

public int getLoadCount()
Returns the number of tables successfully loaded by this client.

Returns:
  load count